# ApplicationFramework
TKPLCAF
MDF

# MDF_SRelocationTable Class Reference

`#include <MDF_SRelocationTable.hxx>`

## Public Member Functions

Standard_EXPORT | MDF_SRelocationTable (const Standard_Boolean theSelfRelocation=Standard_False)
Standard_EXPORT void | SetSelfRelocation (const Standard_Boolean theStatus=Standard_True)
Standard_EXPORT Standard_Boolean | IsSelfRelocation () const
Standard_EXPORT void | SetRelocation (const Handle(TDF_Attribute)&aSourceAttribute, const Handle(PDF_Attribute)&aTargetAttribute)
Standard_EXPORT Standard_Boolean | HasRelocation (const Handle(TDF_Attribute)&aSourceAttribute, Handle(PDF_Attribute)&aTargetAttribute)
Standard_EXPORT void | SetOtherRelocation (const Handle(Standard_Transient)&aSource, const Handle(Standard_Persistent)&aTarget)
Standard_EXPORT Standard_Boolean | HasOtherRelocation (const Handle(Standard_Transient)&aSource, Handle(Standard_Persistent)&aTarget)
Standard_EXPORT PTColStd_TransientPersistentMap & | AttributeTable ()
Standard_EXPORT PTColStd_TransientPersistentMap & | OtherTable ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

PTColStd_TransientPersistentMap | myAttributeTable
PTColStd_TransientPersistentMap | myOtherTable
Standard_Boolean | mySelfRelocation

## Constructor & Destructor Documentation

Standard_EXPORT MDF_SRelocationTable::MDF_SRelocationTable | ( | const Standard_Boolean | theSelfRelocation = `Standard_False` | ) |

## Member Function Documentation

Standard_EXPORT PTColStd_TransientPersistentMap& MDF_SRelocationTable::AttributeTable | ( |  | ) |

Standard_EXPORT const MDF_SRelocationTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean MDF_SRelocationTable::HasOtherRelocation | ( | const Handle(Standard_Transient)& | aSource,
|  | Handle(Standard_Persistent)& | aTarget
| ) |

Standard_EXPORT Standard_Boolean MDF_SRelocationTable::HasRelocation | ( | const Handle(TDF_Attribute)& | aSourceAttribute,
|  | Handle(PDF_Attribute)& | aTargetAttribute
| ) |

Standard_EXPORT Standard_Boolean MDF_SRelocationTable::IsSelfRelocation | ( |  | ) | const

Standard_EXPORT PTColStd_TransientPersistentMap& MDF_SRelocationTable::OtherTable | ( |  | ) |

Standard_EXPORT void MDF_SRelocationTable::SetOtherRelocation | ( | const Handle(Standard_Transient)& | aSource,
|  | const Handle(Standard_Persistent)& | aTarget
| ) |

Standard_EXPORT void MDF_SRelocationTable::SetRelocation | ( | const Handle(TDF_Attribute)& | aSourceAttribute,
|  | const Handle(PDF_Attribute)& | aTargetAttribute
| ) |

Standard_EXPORT void MDF_SRelocationTable::SetSelfRelocation | ( | const Standard_Boolean | theStatus = `Standard_True` | ) |

## Field Documentation

PTColStd_TransientPersistentMap MDF_SRelocationTable::myAttributeTable `[private]`

PTColStd_TransientPersistentMap MDF_SRelocationTable::myOtherTable `[private]`

Standard_Boolean MDF_SRelocationTable::mySelfRelocation `[private]`

The documentation for this class was generated from the following file:

- MDF_SRelocationTable.hxx